> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-returns-email-query-param.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Get a list of invoices.



## OpenAPI

````yaml /api-schema/openapi.yaml get /stores/{storeId}/invoices
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /stores/{storeId}/invoices:
    summary: Invoice
    description: Return a list of invoices.
    get:
      tags:
        - Invoices
      summary: List Invoices
      description: Get a list of invoices.
      operationId: Invoice list
      parameters:
        - $ref: '#/components/parameters/store-id.param'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  invoices:
                    items:
                      $ref: '#/components/schemas/invoice.schema'
                    type: array
                required:
                  - invoices
                type: object
          description: Success
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    store-id.param:
      description: Store ID
      in: path
      name: storeId
      required: true
      schema:
        example: 64e5a8a1af49a89df37e4ee7
        type: string
  schemas:
    invoice.schema:
      description: Schema for an invoice.
      properties:
        charge:
          $ref: '#/components/schemas/money.schema'
          description: The charge that the invoice is for.
        createdAt:
          description: The time the invoice was created.
          format: date-time
          type: string
        id:
          description: The ID of the charge.
          type: string
        status:
          description: The status of the invoice.
          type: string
        store:
          properties:
            id:
              description: The ID of the store.
              type: string
          required:
            - id
          type: object
        updatedAt:
          description: The time the invoice was last updated.
          format: date-time
          type: string
      required:
        - team
        - updatedAt
        - status
        - createdAt
        - charge
      type: object
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
    money.schema:
      description: Currency amount
      properties:
        amount:
          examples:
            - '50.2'
            - '1.78'
          title: Amount
          type: string
        currency:
          examples:
            - USD
            - EUR
          title: Currency
          type: string
      title: Money
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````